Bug 254143 - Please split kde and gnome dependencies for gnash-plugin
Please split kde and gnome dependencies for gnash-plugin
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-24 09:36 EDT by David Nielsen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-17 23:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2007-08-24 09:36:44 EDT
Description of problem:
I'm trying to install Fedora on a very limited storage and I noticed that
gnash-plugin draws in a bunch of kde and qt stuff, I suspect this is not needed
- mostly because Ubuntu' does not package gnash-plugin in this fasion.

If it is not to much work for you I'd love to request that a similar split be made.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Alexander Kahl 2007-09-04 13:43:28 EDT
I support this issue.

According to http://www.gnashdev.org/wiki/index.php/Glossary#GTK :
"GTK is the GIMP Toolkit GUI library. It is one of the GUI options for Gnash. As
of Gnash 0.7.2, this is the more performant and feature-rich choice. GTK uses
Cairo internally."

And at http://www.gnu.org/software/gnash/manual/gnash.html :
"Gnash requires the installation of at least one GUI library. GTK is considered
to be the best supported GUI library option for Gnash."

I don't see why Fedora's version of Gnash should be linked against KDE as the
standard desktop is GNOME.
Comment 2 David Nielsen 2007-09-04 15:42:46 EDT
Well we already pull in qt as part of the gstreamer depending on arts stuff
(which should die now that pulseaudio is our overlord) but I'm not a big fan of
needless dependencies (trying to squeeze Fedora into 4GB with space to spare for
a home dir is harder than it should be) - I don't think the KDE people like
getting all those unneeded GTK deps either.

I'll see if I can't be useful and knock up a patch to the spec that will be
Comment 3 Patrice Dumas 2007-09-07 02:54:21 EDT
This was an upstream issue, there are a lots of duplicates
of this bug. Should be solved with the new version.
Comment 4 Fedora Update System 2007-09-17 23:23:25 EDT
gnash-0.8.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.